#
# Command Line Options Processor
#
# DOS
# Microsoft C 6.00
#
# Only makes those memory models I know I have used
#

CFLAGS =	-c -Gs -W4 -FPa -DxxDOS -nologo
LIBFLAGS =	/NOLOGO

.SUFFIXES:

#

all:		soptr.lib moptr.lib loptr.lib

#

soptr.lib:	opt.c opt.h
		cl $(CFLAGS) -AS opt.c
		-del soptr.lib 2> nul
		lib $(LIBFLAGS) soptr +opt;

moptr.lib:	opt.c opt.h
		cl $(CFLAGS) -AM opt.c
		-del moptr.lib 2> nul
		lib $(LIBFLAGS) moptr +opt;

coptr.lib:	opt.c opt.h
		cl $(CFLAGS) -AC opt.c
		-del coptr.lib 2> nul
		lib $(LIBFLAGS) coptr +opt;

loptr.lib:	opt.c opt.h
		cl $(CFLAGS) -AL opt.c
		-del loptr.lib 2> nul
		lib $(LIBFLAGS) loptr +opt;
